Bug 452810 - ruby: str_buf_cat regression in -p230
ruby: str_buf_cat regression in -p230
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On: 452798
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-25 04:31 EDT by Akira TAGOH
Modified: 2008-06-26 21:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 21:52:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-06-25 04:31:11 EDT
+++ This bug was initially created as a clone of Bug #452798 +++

Description of problem:
Upstream ruby 1.8.6-p230 introduced a regression that may cause ruby to SEGV
when performing string operations.  See:

http://www.openwall.com/lists/oss-security/2008/06/24/3
https://bugzilla.redhat.com/show_bug.cgi?id=450821#c16

Version-Release number of selected component (if applicable):
ruby-1.8.6.230-1.fc8.x86_64

Steps to Reproduce:
ruby -ve 'str = "A"*(2**16) ; 0.upto(10) { str << str ; puts str.size }'
  
Actual results:
$ ruby -ve 'str = "A"*(2**16) ; 0.upto(10) { str << str ; puts str.size }'
ruby 1.8.6 (2008-06-20 patchlevel 230) [x86_64-linux]
131072
262144
-e:1: [BUG] Segmentation fault
ruby 1.8.6 (2008-06-20) [x86_64-linux]

Aborted


Expected results:
$ ruby -ve 'str = "A"*(2**16) ; 0.upto(10) { str << str ; puts str.size }'
ruby 1.8.6 (2008-03-03 patchlevel 114) [x86_64-linux]
131072
262144
524288
1048576
2097152
4194304
8388608
16777216
33554432
67108864
134217728


Additional info:
http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=17530 was reported
to resolve this problem.

-- Additional comment from tagoh@redhat.com on 2008-06-25 04:21 EST --
Fixed in 1.8.6.230-2.fc8.

-- Additional comment from updates@fedoraproject.org on 2008-06-25 04:29 EST --
ruby-1.8.6.230-2.fc8 has been submitted as an update for Fedora 8
Comment 1 Akira TAGOH 2008-06-26 21:52:38 EDT
Fixed in 1.8.6.230-2.fc10.

Note You need to log in before you can comment on or make changes to this bug.